Bug 1464779 - nm-applet draws an empty box instead of an icon
nm-applet draws an empty box instead of an icon
Status: NEW
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 12:01 EDT by Vadim Raskhozhev
Modified: 2017-09-24 10:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Raskhozhev 2017-06-25 12:01:16 EDT
Description of problem: nm-applet draws an empty box instead of an icon in xfce4-panel notification area upon launch. If I later manually put any connection up/down icon changes to "network-offline" despite the actual connection state.

Version-Release number of selected component (if applicable):
network-manager-applet-1.8.2-2.fc26.x86_64
xfce4-panel-4.12.1-2.fc26.x86_64
Comment 1 Norbert Jurkeit 2017-07-14 08:50:20 EDT
I've got basically the same issue: If a network bridge is configured (which I use to connect virtual machines to the host and to the outside network), then nm-applet is invisible (although it occupies space within in the panel and reacts normally to mouse clicks). It only becomes visible when I plug in a network cable that was unplugged during startup and then it shows the "network-offline" symbol although the network is fully operational.

My desktop environment is LXDE and this issue does not show up for me in standard network configurations without bridge. It also did not occur in Fedora 25 or earlier.
Comment 2 Tore H. Larsen 2017-08-23 16:44:09 EDT
cc.  Have a similar nm-applet issue on Mate. When using openconnect VPN session from nm-applet, lower right corner of nm-applet ikon changes from a green to a grey [x] (network offline symbol) and nm-applet becomes almost unresponsive or very slow.  Probably related?

# rpm -qa |grep -i openconnect
openconnect-7.08-2.fc26.x86_64
NetworkManager-openconnect-gnome-1.2.4-4.fc26.x86_64
NetworkManager-openconnect-1.2.4-4.fc26.x86_64
# rpm -qf /usr/bin/nm-applet
network-manager-applet-1.8.2-2.fc26.x86_64
Comment 3 Tore H. Larsen 2017-08-23 17:00:46 EDT
strace of nm-applet when it hangs...

.[root@bgo-torel ~]# gdb -p `pidof nm-applet`
GNU gdb (GDB) Fedora 8.0-20.fc26
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
Attaching to process 8575
[New LWP 8657]
[New LWP 8658]
[New LWP 8692]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: dnf debuginfo-install network-manager-applet-1.8.2-2.fc26.x86_64
(gdb) cont
Continuing.
Detaching after fork from child process 17076.
Detaching after fork from child process 17079.

bt
where
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) bt
#0  0x00007f6d5b7baacd in poll () at /lib64/libc.so.6
#1  0x00007f6d5c21d569 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f6d5c21d67c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007f6d5c7d6ebd in g_application_run () at /lib64/libgio-2.0.so.0
#4  0x000000ace526fb80 in main ()
(gdb) cont
Continuing.
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) cont
Continuing.
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) bt
#0  0x00007f6d5b7baacd in poll () at /lib64/libc.so.6
#1  0x00007f6d5c21d569 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f6d5c21d902 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f6d5c80052e in initable_init () at /lib64/libgio-2.0.so.0
#4  0x00007f6d5c797697 in g_initable_new_valist () at /lib64/libgio-2.0.so.0
#5  0x00007f6d5c797749 in g_initable_new () at /lib64/libgio-2.0.so.0
#6  0x00007f6d5c801f6a in g_dbus_proxy_new_for_bus_sync () at /lib64/libgio-2.0.so.0
#7  0x00007f6d5cfc3828 in _notify_get_proxy () at /lib64/libnotify.so.4
#8  0x00007f6d5cfc5664 in notify_notification_close () at /lib64/libnotify.so.4
#9  0x000000ace526ff6a in applet_clear_notify ()
#10 0x000000ace5270dd2 in status_icon_activate_cb ()
#11 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#12 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#13 0x00007f6d5c5101a5 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#14 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#15 0x00007f6d5e877b39 in gtk_status_icon_button_press () at /lib64/libgtk-3.so.0
#16 0x00007f6d5e9df9fb in _gtk_marshal_BOOLEAN__BOXED () at /lib64/libgtk-3.so.0
#17 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#18 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#19 0x00007f6d5c50fb3f in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#20 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#21 0x00007f6d5eb2a284 in gtk_widget_event_internal () at /lib64/libgtk-3.so.0
#22 0x00007f6d5e9dc9ce in propagate_event () at /lib64/libgtk-3.so.0
#23 0x00007f6d5e9deaf0 in gtk_main_do_event () at /lib64/libgtk-3.so.0
#24 0x00007f6d5e4f1695 in _gdk_event_emit () at /lib64/libgdk-3.so.0
#25 0x00007f6d5e522ae2 in gdk_event_source_dispatch () at /lib64/libgdk-3.so.0
#26 0x00007f6d5c21d247 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#27 0x00007f6d5c21d5e8 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#28 0x00007f6d5c21d67c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#29 0x00007f6d5c7d6ebd in g_application_run () at /lib64/libgio-2.0.so.0
#30 0x000000ace526fb80 in main ()
(gdb) cont
Continuing.
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) bt
#0  0x00007f6d5b7baacd in poll () at /lib64/libc.so.6
#1  0x00007f6d5c21d569 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f6d5c21d902 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f6d5c80052e in initable_init () at /lib64/libgio-2.0.so.0
#4  0x00007f6d5c797697 in g_initable_new_valist () at /lib64/libgio-2.0.so.0
#5  0x00007f6d5c797749 in g_initable_new () at /lib64/libgio-2.0.so.0
#6  0x00007f6d5c801f6a in g_dbus_proxy_new_for_bus_sync () at /lib64/libgio-2.0.so.0
#7  0x00007f6d5cfc3828 in _notify_get_proxy () at /lib64/libnotify.so.4
#8  0x00007f6d5cfc5664 in notify_notification_close () at /lib64/libnotify.so.4
#9  0x000000ace526ff6a in applet_clear_notify ()
#10 0x000000ace5270dd2 in status_icon_activate_cb ()
#11 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#12 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#13 0x00007f6d5c5101a5 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#14 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#15 0x00007f6d5e877b39 in gtk_status_icon_button_press () at /lib64/libgtk-3.so.0
#16 0x00007f6d5e9df9fb in _gtk_marshal_BOOLEAN__BOXED () at /lib64/libgtk-3.so.0
#17 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#18 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#19 0x00007f6d5c50fb3f in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#20 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#21 0x00007f6d5eb2a284 in gtk_widget_event_internal () at /lib64/libgtk-3.so.0
#22 0x00007f6d5e9dc9ce in propagate_event () at /lib64/libgtk-3.so.0
#23 0x00007f6d5e9deaf0 in gtk_main_do_event () at /lib64/libgtk-3.so.0
#24 0x00007f6d5e4f1695 in _gdk_event_emit () at /lib64/libgdk-3.so.0
#25 0x00007f6d5e522ae2 in gdk_event_source_dispatch () at /lib64/libgdk-3.so.0
#26 0x00007f6d5c21d247 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#27 0x00007f6d5c21d5e8 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#28 0x00007f6d5c21d67c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#29 0x00007f6d5c7d6ebd in g_application_run () at /lib64/libgio-2.0.so.0
#30 0x000000ace526fb80 in main ()
(gdb) cont
Continuing.
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) cont
Continuing.
^C
Thread 1 "nm-applet" received signal SIGINT, Interrupt.
0x00007f6d5b7baacd in poll () from /lib64/libc.so.6
(gdb) bt
#0  0x00007f6d5b7baacd in poll () at /lib64/libc.so.6
#1  0x00007f6d5c21d569 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007f6d5c21d902 in g_main_loop_run () at /lib64/libglib-2.0.so.0
#3  0x00007f6d5c80052e in initable_init () at /lib64/libgio-2.0.so.0
#4  0x00007f6d5c797697 in g_initable_new_valist () at /lib64/libgio-2.0.so.0
#5  0x00007f6d5c797749 in g_initable_new () at /lib64/libgio-2.0.so.0
#6  0x00007f6d5c801f6a in g_dbus_proxy_new_for_bus_sync () at /lib64/libgio-2.0.so.0
#7  0x00007f6d5cfc3828 in _notify_get_proxy () at /lib64/libnotify.so.4
#8  0x00007f6d5cfc409d in notify_notification_finalize () at /lib64/libnotify.so.4
#9  0x00007f6d5c4f9f09 in g_object_unref () at /lib64/libgobject-2.0.so.0
#10 0x000000ace526ff76 in applet_clear_notify ()
#11 0x000000ace5270dd2 in status_icon_activate_cb ()
#12 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#13 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#14 0x00007f6d5c5101a5 in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#15 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#16 0x00007f6d5e877b39 in gtk_status_icon_button_press () at /lib64/libgtk-3.so.0
#17 0x00007f6d5e9df9fb in _gtk_marshal_BOOLEAN__BOXED () at /lib64/libgtk-3.so.0
#18 0x00007f6d5c4f530d in g_closure_invoke () at /lib64/libgobject-2.0.so.0
#19 0x00007f6d5c50798e in signal_emit_unlocked_R () at /lib64/libgobject-2.0.so.0
#20 0x00007f6d5c50fb3f in g_signal_emit_valist () at /lib64/libgobject-2.0.so.0
#21 0x00007f6d5c510b0f in g_signal_emit () at /lib64/libgobject-2.0.so.0
#22 0x00007f6d5eb2a284 in gtk_widget_event_internal () at /lib64/libgtk-3.so.0
#23 0x00007f6d5e9dc9ce in propagate_event () at /lib64/libgtk-3.so.0
#24 0x00007f6d5e9deaf0 in gtk_main_do_event () at /lib64/libgtk-3.so.0
#25 0x00007f6d5e4f1695 in _gdk_event_emit () at /lib64/libgdk-3.so.0
#26 0x00007f6d5e522ae2 in gdk_event_source_dispatch () at /lib64/libgdk-3.so.0
#27 0x00007f6d5c21d247 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#28 0x00007f6d5c21d5e8 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#29 0x00007f6d5c21d67c in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#30 0x00007f6d5c7d6ebd in g_application_run () at /lib64/libgio-2.0.so.0
#31 0x000000ace526fb80 in main ()
(gdb) cont
Continuing.

works as normal. I.e. hangs for 1-2 minutes, until network offline symbol appairs, and becomes responsive again.  Easily reproducible. Helpful?
Comment 4 Norbert Jurkeit 2017-09-24 08:56:09 EDT
Update network-manager-applet-1.8.2-4.fc26.x86_64 fixes the issue for me.
Comment 5 Vadim Raskhozhev 2017-09-24 10:10:46 EDT
Seems fixed in network-manager-applet-1.8.2-4.fc26.x86_64

Note You need to log in before you can comment on or make changes to this bug.